Package twisted :: Package runner :: Module inetdconf :: Class RPCServicesConf

[frames | no frames]

## Class RPCServicesConf

    SimpleConfFile --+
                     |
                    RPCServicesConf

/etc/rpc parser

Method Summary
| `__init__(self)`
| `parseFields(self, name, port, *aliases)`
Inherited from SimpleConfFile
| ``parseFile`(self, file)` Parse a configuration file
| ``parseLine`(self, line)` Override this.

Instance Variable Summary
| `self.services`: dict mapping rpc service names to rpc ports.

Class Variable Summary
`str` | `defaultFilename` = `'/etc/rpc'`
Inherited from SimpleConfFile
`str` | `commentChar` = `'#'`

Instance Variable Details

### self.services

dict mapping rpc service names to rpc ports.

Class Variable Details

### defaultFilename

  Type:
    `str`
  Value:

        '/etc/rpc'

Generated by Epydoc 2.0 on Sat May 15 20:08:21 2004 | http://epydoc.sf.net